import * as $dara from '@darabonba/typescript';
import { DescribeSecurityGroupsResponseBody } from "./DescribeSecurityGroupsResponseBody";
export declare class DescribeSecurityGroupsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSecurityGroupsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
